% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_real}
\alias{torch_real}
\title{Real}
\usage{
torch_real(self)
}
\arguments{
\item{self}{(Tensor) the input tensor.}
}
\description{
Real
}
\section{real(input) -> Tensor }{


Returns the real part of the \code{input} tensor. If
\code{input} is a real (non-complex) tensor, this function just
returns it.
}

\section{Warning}{

Not yet implemented for complex tensors.

\deqn{
    \mbox{out}_{i} = real(\mbox{input}_{i})
}
}

\examples{
if (torch_is_installed()) {
\dontrun{
torch_real(torch_tensor(c(-1 + 1i, -2 + 2i, 3 - 3i)))
}
}
}
